//----------------------------------------------------------------------------

//  LCD: header file

//----------------------------------------------------------------------------

#ifndef Lcd133x64H
#define Lcd133x64H

//----------------------------- : -----------------------------------

#define NOM_CONTR 51 //  LCD
#define BOLD 0x10    //   
#define NORM 0x30    //   

//--------------------------  : ------------------------------

void LCD_Init(void);                  // LCD
void LCD_SetContr(char c);            //  LCD
void LCD_Update(void);                // RAM LCD

void LCD_SetXY(char x, char y);       // 
char LCD_GetX(void);                  //  x
char LCD_GetY(void);                  //  y
void LCD_SetLinPos(char lin, char pos); //   
char LCD_GetPos(void);                //  
void LCD_Inv(bool inv);               /// 

void LCD_Clear(void);                 // 
void LCD_Picture(char __flash *p);    // 
void LCD_PutChar(char ch);            // 
void LCD_PutString(char __flash *s);  // 
void LCD_PutHChar(char ch);           // H-
void LCD_PutHString(char __flash *s); // H-

//----------------------------------------------------------------------------

#endif
